
#include <windows.h>

typedef void assert_func(const char *, const char *, unsigned);

int main(int argc, char **argv)
{
  int t = argc > 1 ? atoi(argv[1]) : 0;

  HMODULE crt = NULL;
  assert_func *f_assert;

  if (t == 1)
    crt = LoadLibrary("msvcrt.dll");
  else if (t == 2)
    crt = LoadLibrary("ucrtbase.dll");

  if (!crt)
    return 1;

  f_assert = (assert_func*)GetProcAddress(crt, "_assert");
  f_assert("failure", __FILE__, __LINE__);
  FreeLibrary(crt);

  return 0;
}
